## CallyTexture CallyTexture — Implementation of the ATK interfaces for a ClutterTexture |

## Functions

AtkObject * | cally_texture_new ()

## Types and Values

struct | CallyTexture
struct | CallyTextureClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ╰── CallyTexture

## Implemented Interfaces

CallyTexture implements AtkComponent and AtkAction.

## Description

CallyTexture implements the required ATK interfaces of ClutterTexture

In particular it sets a proper role for the texture.

## Functions

### cally_texture_new ()

    AtkObject *
    cally_texture_new (ClutterActor *actor);

Creates a new CallyTexture for the given `actor` . `actor` must be a ClutterTexture.

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since: 1.4

## Types and Values

### struct CallyTexture

    struct CallyTexture;

The CallyTexture structure contains only private data and should be accessed using the provided API

Since: 1.4

### struct CallyTextureClass

    struct CallyTextureClass {
    };

The CallyTextureClass structure contains only private data

Since: 1.4

## See Also

ClutterTexture